Package org.eclipse.team.core

# Class TeamException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.team.core.TeamException

All Implemented Interfaces:
  `Serializable`

public class TeamException extends CoreException
This exception is thrown by the team provider API. It represents a failure in an API call. Since some API calls take multiple arguments, the exception is capable of returning multiple statuses. The API definition determines if the exception represents a single or multiple status response; this can also be tested on the exception instance itself.

To determine the exact cause of the failure the caller should look at each status in detail.

Since:
  2.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONFLICT`
`static final int`
`IO_FAILED`
`static final int`
`NO_REMOTE_RESOURCE`
`static final int`
`NOT_AUTHORIZED`
`static final int`
`NOT_CHECKED_IN`
`static final int`
`NOT_CHECKED_OUT`
`static final int`
`OK`
`static final int`
`UNABLE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`TeamException(String message)`
Create a `TeamException` with an error status that contains the given message.
``
`TeamException(String message, Throwable e)`
Create a `TeamException` with an error status that contains the given message and throwable.
`protected`
`TeamException(CoreException e)`
Create a `TeamException` that wraps the given `CoreException`
``
`TeamException(IStatus status)`
Create a `TeamException` which contains the given status object.

## Method Summary

Modifier and Type
Method
Description
`static TeamException`
`asTeamException(InvocationTargetException e)`
Return a `TeamException` for the given exception.
`static TeamException`
`asTeamException(CoreException e)`
Return a `TeamException` for the given exception.

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### OK

public static final int OK

See Also:
  - Constant Field Values

### NOT_CHECKED_IN

public static final int NOT_CHECKED_IN

See Also:
  - Constant Field Values

### NOT_CHECKED_OUT

public static final int NOT_CHECKED_OUT

See Also:
  - Constant Field Values

### NO_REMOTE_RESOURCE

public static final int NO_REMOTE_RESOURCE

See Also:
  - Constant Field Values

### IO_FAILED

public static final int IO_FAILED

See Also:
  - Constant Field Values

### NOT_AUTHORIZED

public static final int NOT_AUTHORIZED

See Also:
  - Constant Field Values

### UNABLE

public static final int UNABLE

See Also:
  - Constant Field Values

### CONFLICT

public static final int CONFLICT

See Also:
  - Constant Field Values

## Constructor Details

### TeamException

public TeamException(IStatus status)
Create a `TeamException` which contains the given status object.

Parameters:
  `status` - the status for this exception

### TeamException

public TeamException(String message, Throwable e)
Create a `TeamException` with an error status that contains the given message and throwable.

Parameters:
  `message` - the message for the exception
  `e` - an associated exception
Since:
  3.0

### TeamException

public TeamException(String message)
Create a `TeamException` with an error status that contains the given message.

Parameters:
  `message` - the message for the exception

### TeamException

protected TeamException(CoreException e)
Create a `TeamException` that wraps the given `CoreException`

Parameters:
  `e` - a `CoreException`
Since:
  3.0

## Method Details

### asTeamException

public static TeamException asTeamException(CoreException e)
Return a `TeamException` for the given exception.

Parameters:
  `e` - an exception
Returns:
  a `TeamException` for the given exception
Since:
  3.0

### asTeamException

public static TeamException asTeamException(InvocationTargetException e)
Return a `TeamException` for the given exception.

Parameters:
  `e` - an exception
Returns:
  a `TeamException` for the given exception
Since:
  3.0